#
######################################################
#
#  SaVi by Lloyd Wood (lloydwood@users.sourceforge.net),
#          Patrick Worfolk (worfolk@alum.mit.edu) and
#          Robert Thurman.
#
#  Copyright (c) 1997 by The Geometry Center.
#  Also Copyright (c) 2006 by Lloyd Wood.
#
#  This file is part of SaVi.  SaVi is free software;
#  you can redistribute it and/or modify it only under
#  the terms given in the file COPYRIGHT which you should
#  have received along with this file.  SaVi may be
#  obtained from:
#  http://savi.sourceforge.net/
#  http://www.geom.uiuc.edu/locate/SaVi
#
######################################################
#
# coverage_size.tcl
#
# $Id: coverage_size.tcl,v 1.1 2006/07/17 20:54:27 lloydwood Exp $

proc coverage_size(build) {} {
    if {[eval window(raise) coverage_size]} return

    set name [build_Toplevel coverage_size]

    wm protocol $name WM_DELETE_WINDOW coverage_size(dismiss)

    build_Title $name "Choose size of map..."

    build_Buttonbar $name dbbar \
	{"Large (1024x512)" coverage_size(large)} \
        {"Small (600x300)" coverage_size(small)}

    update
}

proc coverage_size(large) {} {
    global IM_W IM_H

    set IM_W 1024
    set IM_H 512

    coverage_size(dismiss)

    coverage(build)
}

proc coverage_size(small) {} {
    global IM_W IM_H

    set IM_W 600
    set IM_H 300

    coverage_size(dismiss)

    coverage(build)
}

proc coverage_size(dismiss) {} {

    destroy .coverage_size
}

